## go-data-simple

go-data-simple

## Synopsis

                        GODataScalarVal;
    GOData *            go_data_scalar_val_new              (double val);
    #define             GO_TYPE_DATA_SCALAR_STR
    #define             GO_DATA_SCALAR_STR                  (o)
    #define             GO_IS_DATA_SCALAR_STR               (o)
                        GODataScalarStr;
    GType               go_data_scalar_str_get_type         (void);
    GOData *            go_data_scalar_str_new              (char const *text,
                                                             gboolean needs_free);
    void                go_data_scalar_str_set_str          (GODataScalarStr *str,
                                                             char const *text,
                                                             gboolean needs_free);
    #define             GO_TYPE_DATA_VECTOR_VAL
    #define             GO_DATA_VECTOR_VAL                  (o)
    #define             GO_IS_DATA_VECTOR_VAL               (o)
                        GODataVectorVal;
    GType               go_data_vector_val_get_type         (void);
    GOData *            go_data_vector_val_new              (double *val,
                                                             unsigned  n,
                                                             GDestroyNotify notify);
    #define             GO_TYPE_DATA_VECTOR_STR
    #define             GO_DATA_VECTOR_STR                  (o)
    #define             GO_IS_DATA_VECTOR_STR               (o)
                        GODataVectorStr;
    GType               go_data_vector_str_get_type         (void);
    GOData *            go_data_vector_str_new              (char const * const *str,
                                                             unsigned  n,
                                                             GDestroyNotify notify);
    void                go_data_vector_str_set_translate_func
                                                            (GODataVectorStr *vector,
                                                             GOTranslateFunc func,
                                                             gpointer data,
                                                             GDestroyNotify notify);
    void                go_data_vector_str_set_translation_domain
                                                            (GODataVectorStr *vector,
                                                             char const *domain);
    #define             GO_TYPE_DATA_MATRIX_VAL
    #define             GO_DATA_MATRIX_VAL                  (o)
    #define             GO_IS_DATA_MATRIX_VAL               (o)
                        GODataMatrixVal;
    GType               go_data_matrix_val_get_type         (void);
    GOData *            go_data_matrix_val_new              (double *val,
                                                             unsigned  rows,
                                                             unsigned  columns,
                                                             GDestroyNotify notify);

## Object Hierarchy

      GObject
       +----GOData
             +----GODataScalar
                   +----GODataScalarVal

      GObject
       +----GOData
             +----GODataScalar
                   +----GODataScalarStr

      GObject
       +----GOData
             +----GODataVector
                   +----GODataVectorVal

      GObject
       +----GOData
             +----GODataVector
                   +----GODataVectorStr

      GObject
       +----GOData
             +----GODataMatrix
                   +----GODataMatrixVal

## Description

## Details

### GODataScalarVal

    typedef struct _GODataScalarVal GODataScalarVal;

### go_data_scalar_val_new ()

    GOData *            go_data_scalar_val_new              (double val);

`val` : |
Returns : |

### GO_TYPE_DATA_SCALAR_STR

    #define GO_TYPE_DATA_SCALAR_STR  (go_data_scalar_str_get_type ())

### GO_DATA_SCALAR_STR()

    #define GO_DATA_SCALAR_STR(o)	 (G_TYPE_CHECK_INSTANCE_CAST ((o), GO_TYPE_DATA_SCALAR_STR, GODataScalarStr))

`o` : |

### GO_IS_DATA_SCALAR_STR()

    #define GO_IS_DATA_SCALAR_STR(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_TYPE_DATA_SCALAR_STR))

`o` : |

### GODataScalarStr

    typedef struct _GODataScalarStr GODataScalarStr;

### go_data_scalar_str_get_type ()

    GType               go_data_scalar_str_get_type         (void);

Returns : |

### go_data_scalar_str_new ()

    GOData *            go_data_scalar_str_new              (char const *text,
                                                             gboolean needs_free);

`text` : |
`needs_free` : |
Returns : |

### go_data_scalar_str_set_str ()

    void                go_data_scalar_str_set_str          (GODataScalarStr *str,
                                                             char const *text,
                                                             gboolean needs_free);

`str` : |
`text` : |
`needs_free` : |

### GO_TYPE_DATA_VECTOR_VAL

    #define GO_TYPE_DATA_VECTOR_VAL  (go_data_vector_val_get_type ())

### GO_DATA_VECTOR_VAL()

    #define GO_DATA_VECTOR_VAL(o)	 (G_TYPE_CHECK_INSTANCE_CAST ((o), GO_TYPE_DATA_VECTOR_VAL, GODataVectorVal))

`o` : |

### GO_IS_DATA_VECTOR_VAL()

    #define GO_IS_DATA_VECTOR_VAL(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_TYPE_DATA_VECTOR_VAL))

`o` : |

### GODataVectorVal

    typedef struct _GODataVectorVal GODataVectorVal;

### go_data_vector_val_get_type ()

    GType               go_data_vector_val_get_type         (void);

Returns : |

### go_data_vector_val_new ()

    GOData *            go_data_vector_val_new              (double *val,
                                                             unsigned  n,
                                                             GDestroyNotify notify);

`val` : |
`n` : |
`notify` : |
Returns : |

### GO_TYPE_DATA_VECTOR_STR

    #define GO_TYPE_DATA_VECTOR_STR  (go_data_vector_str_get_type ())

### GO_DATA_VECTOR_STR()

    #define GO_DATA_VECTOR_STR(o)	 (G_TYPE_CHECK_INSTANCE_CAST ((o), GO_TYPE_DATA_VECTOR_STR, GODataVectorStr))

`o` : |

### GO_IS_DATA_VECTOR_STR()

    #define GO_IS_DATA_VECTOR_STR(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_TYPE_DATA_VECTOR_STR))

`o` : |

### GODataVectorStr

    typedef struct _GODataVectorStr GODataVectorStr;

### go_data_vector_str_get_type ()

    GType               go_data_vector_str_get_type         (void);

Returns : |

### go_data_vector_str_new ()

    GOData *            go_data_vector_str_new              (char const * const *str,
                                                             unsigned  n,
                                                             GDestroyNotify notify);

`str` : |
`n` : |
`notify` : |
Returns : |

### go_data_vector_str_set_translate_func ()

    void                go_data_vector_str_set_translate_func
                                                            (GODataVectorStr *vector,
                                                             GOTranslateFunc func,
                                                             gpointer data,
                                                             GDestroyNotify notify);

Sets a function to be used for translating elements of `vec`

`vector` : | a GODataVectorStr
`func` : | a GOTranslateFunc
`data` : | data to be passed to `func` and `notify`
`notify` : | a GDestroyNotify function to be called when `vec` is destroyed or when the translation function is changed

### go_data_vector_str_set_translation_domain ()

    void                go_data_vector_str_set_translation_domain
                                                            (GODataVectorStr *vector,
                                                             char const *domain);

Sets the translation domain and uses `dgettext()` for translating the elements of `vec`. Note that libgoffice expects all strings to be encoded in UTF-8, therefore the translation domain must have its codeset set to UTF-8, see `bind_textdomain_codeset()` in the `gettext()` documentation.

If you're not using `gettext()` for localization, see `go_data_vector_str_set_translate_func()`.

`vector` : | a GODataVectorStr
`domain` : | the translation domain to use for `dgettext()` calls

### GO_TYPE_DATA_MATRIX_VAL

    #define GO_TYPE_DATA_MATRIX_VAL  (go_data_matrix_val_get_type ())

### GO_DATA_MATRIX_VAL()

    #define GO_DATA_MATRIX_VAL(o)	 (G_TYPE_CHECK_INSTANCE_CAST ((o), GO_TYPE_DATA_MATRIX_VAL, GODataMatrixVal))

`o` : |

### GO_IS_DATA_MATRIX_VAL()

    #define GO_IS_DATA_MATRIX_VAL(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), GO_TYPE_DATA_MATRIX_VAL))

`o` : |

### GODataMatrixVal

    typedef struct _GODataMatrixVal GODataMatrixVal;

### go_data_matrix_val_get_type ()

    GType               go_data_matrix_val_get_type         (void);

Returns : |

### go_data_matrix_val_new ()

    GOData *            go_data_matrix_val_new              (double *val,
                                                             unsigned  rows,
                                                             unsigned  columns,
                                                             GDestroyNotify notify);

`val` : |
`rows` : |
`columns` : |
`notify` : |
Returns : |